
#ifndef IAQTOUCH_H_
#define IAQTOUCH_H_

#define IAQT_MSGLEN 21

struct iaqt_page_button {
  char *name[IAQT_MSGLEN];
  unsigned char type;    // 0x01 box, 0x08 icon wirlpool, 0x0b icon heater, 0x01 icon (main page), 0x07 light
  unsigned char state;
  unsigned char keycode;
  unsigned char unknownByte;
};

bool process_iaqtouch_packet(unsigned char *packet, int length, struct aqualinkdata *aq_data);
unsigned char iaqtThreadKickType();
unsigned char iaqtCurrentPage();
bool wasiaqtThreadKickTypePage();
struct iaqt_page_button *iaqtFindButtonByLabel(char *label);
struct iaqt_page_button *iaqtFindButtonByIndex(int index);
const char *iaqtGetMessageLine(int index);
const char *iaqtGetTableInfoLine(int index);
unsigned char iaqtLastMsg();
const char *iaqt_page_name(const unsigned char page);
int num2iaqtRSset (unsigned char* packetbuffer, int num, bool pad4unknownreason);
int char2iaqtRSset (unsigned char* packetbuffer, char *msg, int msg_len);

void set_iaqtouch_lastmsg(unsigned char msgtype);

// This should be moved to aq_serial once finished.
#define PKT_IAQT_BUTINDX    4
#define PKT_IAQT_BUTSTATE   5
#define PKT_IAQT_BUTUNKNOWN 6
#define PKT_IAQT_BUTTYPE    7
#define PKT_IAQT_BUTDATA    8

#define PKT_IAQT_MSGINDX    PKT_IAQT_BUTINDX
#define PKT_IAQT_MSGDATA    5

#define PKT_IAQT_PAGTYPE    PKT_IAQT_BUTINDX

#endif

/*

#define ACK_ITOUCH               0x00
#define KEY_IAQTCH_HOME          0x01
#define KEY_IAQTCH_MENU          0x02
#define KEY_IAQTCH_ONETOUCH      0x03
#define KEY_IAQTCH_HELP          0x04
#define KEY_IAQTCH_BACK          0x05
#define KEY_IAQTCH_STATUS        0x06
#define KEY_IAQTCH_PREV_PAGE     0x20
#define KEY_IAQTCH_NEXT_PAGE     0x21

// PAGE1 (Horosontal keys) (These are duplicate so probable delete)
#define KEY_IAQTCH_HOMEP_KEY01   0x11
#define KEY_IAQTCH_HOMEP_KEY02   0x12
#define KEY_IAQTCH_HOMEP_KEY03   0x13
#define KEY_IAQTCH_HOMEP_KEY04   0x14
#define KEY_IAQTCH_HOMEP_KEY05   0x15
#define KEY_IAQTCH_HOMEP_KEY06   0x16
#define KEY_IAQTCH_HOMEP_KEY07   0x17
#define KEY_IAQTCH_HOMEP_KEY08   0x18 // Other Devices (may not be able to change)

// Numbering is colum then row.
#define KEY_IAQTCH_KEY01         0x11  // Column 1 row 1
#define KEY_IAQTCH_KEY02         0x12  // column 1 row 2
#define KEY_IAQTCH_KEY03         0x13  // column 1 row 3
#define KEY_IAQTCH_KEY04         0x14  // column 1 row 4
#define KEY_IAQTCH_KEY05         0x15  // column 1 row 5

#define KEY_IAQTCH_KEY06         0x16  // column 2 row 1
#define KEY_IAQTCH_KEY07         0x17  // column 2 row 2
#define KEY_IAQTCH_KEY08         0x18  // column 2 row 3
#define KEY_IAQTCH_KEY09         0x19  // column 2 row 4
#define KEY_IAQTCH_KEY10         0x1a  // column 2 row 5

#define KEY_IAQTCH_KEY11         0x1b  // column 3 row 1
#define KEY_IAQTCH_KEY12         0x1c  // column 3 row 2
#define KEY_IAQTCH_KEY13         0x1d  // column 3 row 3
#define KEY_IAQTCH_KEY14         0x1e  // column 3 row 4
#define KEY_IAQTCH_KEY15         0x1f  // column 3 row 5

#define IAQ_PAGE_HOME            0x01
#define IAQ_PAGE_STATUS          0x5b
#define IAQ_PAGE_DEVICES         0x36
#define IAQ_PAGE_DEVICES2        0x35
#define IAQ_PAGE_SET_TEMP        0x39
#define IAQ_PAGE_MENU            0x0f
#define IAQ_PAGE_SET_VSP         0x1e
#define IAQ_PAGE_SET_TIME        0x4b
#define IAQ_PAGE_SET_DATE        0x4e
#define IAQ_PAGE_SET_SWG         0x30
#define IAQ_PAGE_SET_BOOST       0x1d
#define IAQ_PAGE_SET_QBOOST      0x3f
#define IAQ_PAGE_ONETOUCH        0x4d
#define IAQ_PAGE_COLOR_LIGHT     0x48
*/
/*
                 This must be populate button
                 |    This is Msg/button index (starts 0x00)
                 |    |    
0x10|0x02|0x33|0x24|0x01|0x00|0x00|0x08|0x53|0x70|0x61|0x00|0x20|0x00|0xb6|0x10|0x03|

                 This is status message. (sometimes blank like second)
                 |
0x10|0x02|0x33|0x25|0x01|0x37|0x32|0xc2|0xba|0x00|0x50|0x10|0x03|
*/


/*

  Equiptment status page can have down arrow.

  Think this message means there is a next page (0x02 @ index 7)
  Debug:  To 0x33 of type iAq pMes | HEX: 0x10|0x02|0x33|0x24|0x01|0x00|0x00|0x02|0x00|0x00|0x6c|0x10|0x03|
                          Button | 1 |  |-|  |-|  -off- 

  This gets the next page   (0x12 is Button 1 column 1 = KEY_IAQTCH_KEY02)
  Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x12|0x25|0x10|0x03|


*/

/*
   ??? Startup message ???
   Debug:     Jandy Packet | HEX: 0x10|0x02|0x31|0x00|0x43|0x10|0x03|
   Debug:     Jandy Packet | HEX: 0x10|0x02|0x31|0x29|0x00|0x6c|0x10|0x03|
*/

/* 
  Some kind of wait message
  Debug:  To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x2c|0x00|0x01|0x50|0x6c|0x65|0x61|0x73|0x65|0x20|0x77|0x61|0x69|0x74|0x2e|0x2e|0x2e|0x0a|0x20|0x43|0x79|0x63|0x6c|0x69|0x6e|0x67|0x20|0x74|0x6f|0x20|0x63|0x68|0x6f|0x73|0x65|0x6e|0x20|0x63|0x6f|0x6c|0x6f|0x72|0x2e|0x00|0x00|0x00|0x00|0x2e|0x10|0x03|

  Wait until
  Debug:  To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x2c|0x00|0x00|0x20|0x00|0x00|0x00|0x00|0x91|0x10|0x03|

  // Also net new page right after.
  Debug:  To 0x33 of type iAq Page | HEX: 0x10|0x02|0x33|0x23|0x01|0x69|0x10|0x03|

*/

/* Set SWG (pool) 50%
  Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|
  Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x80|0x93|0x10|0x03|

Debug:  To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x31|0x00|0x76|0x10|0x03|
Debug:  To 0x00 of type iAq pBut | HEX: 0x10|0x02|0x00|0x24|0x31|0x35|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x35|0x10|0x03|
*/

/*
105 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x35|0x00|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xff|0x10|0x03|
              0x00|0x24|0x31|0x31|0x30|0x35|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|

48 = 0

SET VSP1
Pre send 0x10|0x02|0x00|0x01|0x00|0x80|0x93|0x10|0x03|
                                      54   48   48
 600 | HEX: 0x10|0x02|0x00|0x24|0x31|0x36|0x30|0x30|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcc|0x10|0x03|
     | HEX: 0x10|0x02|0x00|0x24|0x31|0x36|0x30|0x30|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x2f|0x10|0x03|
                                      55   48   48
 700 | HEX: 0x10|0x02|0x00|0x24|0x31|0x37|0x30|0x30|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x10|0x03|
                                      56   48   48
 800 | HEX: 0x10|0x02|0x00|0x24|0x31|0x38|0x30|0x30|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xce|0x10|0x03|
 900 | HEX: 0x10|0x02|0x00|0x24|0x31|0x39|0x30|0x30|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcf|0x10|0x03|
                                      49   48   48   48
1000 | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xf7|0x10|0x03|
     | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x30|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x2a|0x10|0x03|
                      0x00|0x24|0x31|0x31|0x30|0x30|0x30|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|
     | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x30|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x2a|0x10|0x03
                      0x00|0x24|0x31|0x31|0x30|0x30|0x30|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|
                                     
2000 | HEX: 0x10|0x02|0x00|0x24|0x31|0x32|0x30|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xf8|0x10|0x03|
3000 | HEX: 0x10|0x02|0x00|0x24|0x31|0x33|0x30|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xf9|0x10|0x03|
                                      49   54   48   48
1600 | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x36|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xfd|0x10|0x03|

(Below returns overspeed error)
4000 | HEX: 0x10|0x02|0x00|0x24|0x31|0x34|0x30|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xfa|0x10|0x03|
(Error return is)
     | HEX: 0x10|0x02|0x33|0x2c|0x01|0x01|0x2d|0x20|0x49|0x6e|0x76|0x61|0x6c|0x69|0x64|0x20|0x50|0x75|0x6d|0x70|0x20|0x53|0x70|0x65|0x65|0x64|0x20|0x2d|0x0a|0x53|0x70|0x65|0x65|0x64|0x20|0x6d|0x75|0x73|0x74|0x20|0x62|0x65|0x20|0x36|0x30|0x30|0x20|0x2d|0x20|0x33|0x34|0x35|0x30|0x20|0x52|0x50|0x4d|0x00|0x4f|0x6b|0x00|0x00|0x00|0x2a|0x10|0x03|

SET VSP 3
1000 | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xf7|0x10|0x03|
                        

48 = 0 
Set VSP2 (GPM)
                                      51   48        48
30   | HEX: 0x10|0x02|0x00|0x24|0x31|0x33|0x30|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xc9|0x10|0x03|
                                      52   48        48
40   | HEX: 0x10|0x02|0x00|0x24|0x31|0x34|0x30|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xca|0x10|0x03|
                                      53   48        48
50   | HEX: 0x10|0x02|0x00|0x24|0x31|0x35|0x30|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcb|0x10|0x03|  
     
                                      49   48   48
                                     0x35|0x30|0x00|0x30|0x00|      

???100  | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x00|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xc7|0x10|0x03|
                                      49   50   48        48
120  | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x32|0x30|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x2c|0x10|0x03|
115  | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x31|0x35|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x30|0x10|0x03|
100  | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x2a|0x10|0x03|
50   | HEX: 0x10|0x02|0x00|0x24|0x31|0x35|0x30|0x00|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xfe|0x10|0x03|
     | HEX: 0x10|0x02|0x00|0x24|0x31|0x35|0x30|0x00|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xfe|0x10|0x03|
                                     0x36|0x30|0x00|0x00|0x30|0x00|

Pre Send Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x80|0x93|0x10|0x03|
Set Time 
1am  | HEX: 0x10|0x02|0x00|0x24|0x31|0x30|0x31|0x3a|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x64|0x10|0x03|
2am  | HEX: 0x10|0x02|0x00|0x24|0x31|0x30|0x32|0x3a|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x65|0x10|0x03|


Need to select pool / spa button first.
Pre Send Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x80|0x93|0x10|0x03|
Set Temp (pool)
                                      59   48   48        48
100  | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x2a|0x10|0x03|
                                      53   48             48
 50  | HEX: 0x10|0x02|0x00|0x24|0x31|0x35|0x30|0x00|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xfe|0x10|0x03|

100  | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x00|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0x2a|0x10|0x03|
*/

/*

STARTUP

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x20 of type    Probe | HEX: 0x10|0x02|0x20|0x00|0x32|0x10|0x03|

Debug:  To 0x33 of type    Probe | HEX: 0x10|0x02|0x33|0x00|0x45|0x10|0x03|
Debug:  To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Debug:  To 0x33 of type    Probe | HEX: 0x10|0x02|0x33|0x00|0x45|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x29|0x00|0x6e|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq NewM | HEX: 0x10|0x02|0x33|0x23|0x01|0x69|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x00|0x00|0x00|0x08|0x46|0x69|0x6c|0x74|0x65|0x72|0x00|0x50|0x75|0x6d|0x70|0x00|0x79|0x10|0x03|
                          Button | 0 |Filter |-| Pump |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x01|0x00|0x00|0x08|0x53|0x70|0x61|0x00|0x20|0x00|0xb6|0x10|0x03|
                          Button | 1 |Spa |-|   |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x02|0x00|0x00|0x05|0x50|0x6f|0x6f|0x6c|0x00|0x48|0x65|0x61|0x74|0x00|0x8c|0x10|0x03|
                          Button | 2 | Pool |-| Heat |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x03|0x00|0x00|0x05|0x53|0x70|0x61|0x00|0x48|0x65|0x61|0x74|0x00|0x17|0x10|0x03|
                          Button | 3 | Spa |-| Heat |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x04|0x00|0x00|0x01|0x41|0x75|0x78|0x31|0x00|0x20|0x00|0xed|0x10|0x03|
                          Button | 4 | Aux1 |-|   |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x05|0x00|0x00|0x01|0x41|0x75|0x78|0x32|0x00|0x20|0x00|0xef|0x10|0x03|
                          Button | 5 | Aux2 |-|   |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x06|0x00|0x00|0x07|0x50|0x6f|0x6f|0x6c|0x00|0x4c|0x69|0x67|0x68|0x74|0x00|0x08|0x10|0x03|
                          Button | 6 | Pool |-| Light |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x02|0x00|0x6c|0x10|0x03|
                         Message | 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x03|0x00|0x6d|0x10|0x03|
                         Message | 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x01|0x37|0x32|0xc2|0xba|0x00|0x50|0x10|0x03|
                         Message | 72º
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x05|0x41|0x69|0x72|0x20|0x54|0x65|0x6d|0x70|0x00|0x41|0x10|0x03|
                         Message | Air Temp
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x04|0x50|0x6f|0x6f|0x6c|0x20|0x54|0x65|0x6d|0x70|0x00|0xbe|0x10|0x03|
                         Message | Pool Temp
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x00|0x36|0x35|0xc2|0xba|0x00|0x51|0x10|0x03|
                         Message | 65º
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x08|0x46|0x69|0x6c|0x74|0x65|0x72|0x00|0x50|0x75|0x6d|0x70|0x00|0x7a|0x10|0x03|
                          Button | 0 |Filter |-| Pump |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x02|0x01|0x00|0x05|0x50|0x6f|0x6f|0x6c|0x00|0x48|0x65|0x61|0x74|0x00|0x8d|0x10|0x03|
                          Button | 2 | Pool |-| Heat |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x03|0x03|0x00|0x0b|0x53|0x70|0x61|0x00|0x48|0x65|0x61|0x74|0x00|0x20|0x10|0x03|
                          Button | 3 | 
                                       Spa |-| Heat |-|  -Enabeled- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x04|0x01|0x00|0x01|0x41|0x75|0x78|0x31|0x00|0x20|0x00|0xee|0x10|0x03|
                          Button | 4 | Aux1 |-|   |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x2d|0x41|0x71|0x75|0x61|0x4c|0x69|0x6e|0x6b|0x20|0x54|0x6f|0x75|0x63|0x68|0x00|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|0x28|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|0x28|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
^C

OTHER DEVICES


sf@thunderbird3:/nas/data/Development/Raspberry/AqualinkD$ sudo ./atouch 
Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x18|0x2b|0x10|0x03|

Debug:  To 0x33 of type iAq NewM | HEX: 0x10|0x02|0x33|0x23|0x36|0x9e|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x01|0x46|0x69|0x6c|0x74|0x65|0x72|0x20|0x50|0x75|0x6d|0x70|0x00|0x4f|0x4e|0x20|0x00|0x50|0x10|0x03|
                          Button | 0 | Filter Pump |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x01|0x00|0x00|0x01|0x53|0x70|0x61|0x00|0x4f|0x46|0x46|0x00|0x6a|0x10|0x03|
                          Button | 1 | Spa |-| OFF |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x02|0x00|0x00|0x01|0x56|0x53|0x50|0x31|0x20|0x53|0x70|0x64|0x00|0x41|0x44|0x4a|0x00|0xac|0x10|0x03|
                          Button | 2 | VSP1 Spd |-| ADJ |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x03|0x00|0x00|0x01|0x56|0x53|0x50|0x32|0x20|0x53|0x70|0x64|0x00|0x41|0x44|0x4a|0x00|0xae|0x10|0x03|
                          Button | 3 | VSP2 Spd |-| ADJ |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x04|0x00|0x00|0x01|0x56|0x53|0x50|0x33|0x20|0x53|0x70|0x64|0x00|0x41|0x44|0x4a|0x00|0xb0|0x10|0x03|
                          Button | 4 | VSP3 Spd |-| ADJ |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x05|0x01|0x00|0x01|0x50|0x6f|0x6f|0x6c|0x20|0x48|0x65|0x61|0x74|0x00|0x4f|0x4e|0x20|0x00|0x69|0x10|0x03|
                          Button | 5 | Pool Heat |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x06|0x03|0x00|0x01|0x53|0x70|0x61|0x20|0x48|0x65|0x61|0x74|0x00|0x45|0x4e|0x41|0x00|0x0d|0x10|0x03|
                          Button | 6 | Spa Heat |-| ENA |-|  -Enabeled- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x07|0x03|0x00|0x01|0x53|0x6f|0x6c|0x61|0x72|0x20|0x48|0x65|0x61|0x74|0x00|0x45|0x4e|0x41|0x00|0xeb|0x10|0x03|
                          Button | 7 | Solar Heat |-| ENA |-|  -Enabeled- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x08|0x01|0x00|0x01|0x41|0x75|0x78|0x31|0x00|0x4f|0x4e|0x20|0x00|0x8f|0x10|0x03|
                          Button | 8 | Aux1 |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x09|0x00|0x00|0x01|0x41|0x75|0x78|0x32|0x00|0x4f|0x46|0x46|0x00|0xae|0x10|0x03|
                          Button | 9 | Aux2 |-| OFF |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0a|0x00|0x00|0x01|0x50|0x6f|0x6f|0x6c|0x20|0x4c|0x69|0x67|0x68|0x74|0x00|0x4f|0x46|0x46|0x00|0x01|0x10|0x03|
                          Button | 10 | Pool Light |-| OFF |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0b|0x01|0x00|0x01|0x41|0x75|0x78|0x34|0x00|0x4f|0x4e|0x20|0x00|0x95|0x10|0x03|
                          Button | 11 | Aux4 |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0c|0x00|0x00|0x01|0x41|0x75|0x78|0x35|0x00|0x4f|0x46|0x46|0x00|0xb4|0x10|0x03|
                          Button | 12 | Aux5 |-| OFF |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0d|0x01|0x00|0x01|0x41|0x75|0x78|0x36|0x00|0x4f|0x4e|0x20|0x00|0x99|0x10|0x03|
                          Button | 13 | Aux6 |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0e|0x01|0x00|0x01|0x41|0x75|0x78|0x37|0x00|0x4f|0x4e|0x20|0x00|0x9b|0x10|0x03|
                          Button | 14 | Aux7 |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0f|0xff|0x00|0x00|0x00|0x00|0x77|0x10|0x03|
                          Button | 15 |  |-|  |-|  |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x10|0xff|0x00|0x03|0x00|0x00|0x7b|0x10|0x03|
                          Button | 16 |  |-|  |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x01|0x46|0x69|0x6c|0x74|0x65|0x72|0x20|0x50|0x75|0x6d|0x70|0x00|0x4f|0x4e|0x20|0x00|0x50|0x10|0x03|
                          Button | 0 | Filter Pump |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x05|0x01|0x00|0x01|0x50|0x6f|0x6f|0x6c|0x20|0x48|0x65|0x61|0x74|0x00|0x4f|0x4e|0x20|0x00|0x69|0x10|0x03|
                          Button | 5 | Pool Heat |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x06|0x03|0x00|0x01|0x53|0x70|0x61|0x20|0x48|0x65|0x61|0x74|0x00|0x45|0x4e|0x41|0x00|0x0d|0x10|0x03|
                          Button | 6 | Spa Heat |-| ENA |-|  -Enabeled- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x07|0x03|0x00|0x01|0x53|0x6f|0x6c|0x61|0x72|0x20|0x48|0x65|0x61|0x74|0x00|0x45|0x4e|0x41|0x00|0xeb|0x10|0x03|
                          Button | 7 | Solar Heat |-| ENA |-|  -Enabeled- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x08|0x01|0x00|0x01|0x41|0x75|0x78|0x31|0x00|0x4f|0x4e|0x20|0x00|0x8f|0x10|0x03|
                          Button | 8 | Aux1 |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0b|0x01|0x00|0x01|0x41|0x75|0x78|0x34|0x00|0x4f|0x4e|0x20|0x00|0x95|0x10|0x03|
                          Button | 11 | Aux4 |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0d|0x01|0x00|0x01|0x41|0x75|0x78|0x36|0x00|0x4f|0x4e|0x20|0x00|0x99|0x10|0x03|
                          Button | 13 | Aux6 |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0e|0x01|0x00|0x01|0x41|0x75|0x78|0x37|0x00|0x4f|0x4e|0x20|0x00|0x9b|0x10|0x03|
                          Button | 14 | Aux7 |-| ON  |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|0x28|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|


PAGE DOWN

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x21|0x34|0x10|0x03|

Debug:  To 0x33 of type iAq NewM | HEX: 0x10|0x02|0x33|0x23|0x35|0x9d|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x00|0x00|0x00|0x01|0x53|0x70|0x61|0x20|0x4d|0x6f|0x64|0x65|0x00|0x4f|0x46|0x46|0x00|0x0e|0x10|0x03|
                          Button | 0 | Spa Mode |-| OFF |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x01|0x00|0x00|0x01|0x43|0x6c|0x65|0x61|0x6e|0x20|0x4d|0x6f|0x64|0x65|0x00|0x4f|0x46|0x46|0x00|0xce|0x10|0x03|
                          Button | 1 | Clean Mode |-| OFF |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x02|0x00|0x00|0x01|0x41|0x6c|0x6c|0x20|0x4f|0x46|0x46|0x00|0x4f|0x46|0x46|0x00|0x5b|0x10|0x03|
                          Button | 2 | All OFF |-| OFF |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x03|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xab|0x10|0x03|
                          Button | 3 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x04|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xac|0x10|0x03|
                          Button | 4 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x05|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xad|0x10|0x03|
                          Button | 5 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Warning:BAD PACKET To 0x33 of type    Probe | HEX: 0x10|0x02|0x33|0x00|0xd0|0x00|0x00|0x20|0x00|0x20|0x00|0xae|0x10|0x03|
Warning:Serial read bad Jandy checksum, ignoring
Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x06|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xae|0x10|0x03|
                          Button | 6 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x07|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xaf|0x10|0x03|
                          Button | 7 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x08|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xb0|0x10|0x03|
                          Button | 8 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x09|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xb1|0x10|0x03|
                          Button | 9 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0a|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xb2|0x10|0x03|
                          Button | 10 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0b|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xb3|0x10|0x03|
                          Button | 11 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0c|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xb4|0x10|0x03|
                          Button | 12 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0d|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xb5|0x10|0x03|
                          Button | 13 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0e|0xff|0x00|0x00|0x20|0x00|0x20|0x00|0xb6|0x10|0x03|
                          Button | 14 |  |-|   |-|   |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0f|0xff|0x00|0x02|0x00|0x00|0x79|0x10|0x03|
                          Button | 15 |  |-|  |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x10|0xff|0x00|0x00|0x00|0x00|0x78|0x10|0x03|
                          Button | 16 |  |-|  |-|  |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|


|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|


PAGE UP

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x20|0x33|0x10|0x03|

Debug:  To 0x33 of type iAq NewM | HEX: 0x10|0x02|0x33|0x23|0x36|0x9e|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x0f|0xff|0x00|0x00|0x00|0x00|0x77|0x10|0x03|
                          Button | 15 |  |-|  |-|  |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x10|0xff|0x00|0x03|0x00|0x00|0x7b|0x10|0x03|
                          Button | 16 |  |-|  |-|  -blank/unknown- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|0x28|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|


HOME


Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x01|0x14|0x10|0x03|

Debug:  To 0x33 of type iAq NewM | HEX: 0x10|0x02|0x33|0x23|0x01|0x69|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x08|0x46|0x69|0x6c|0x74|0x65|0x72|0x00|0x50|0x75|0x6d|0x70|0x00|0x7a|0x10|0x03|
                          Button | 0 |Filter |-| Pump |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x02|0x01|0x00|0x05|0x50|0x6f|0x6f|0x6c|0x00|0x48|0x65|0x61|0x74|0x00|0x8d|0x10|0x03|
                          Button | 2 | Pool |-| Heat |-|  -on- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x03|0x03|0x00|0x0b|0x53|0x70|0x61|0x00|0x48|0x65|0x61|0x74|0x00|0x20|0x10|0x03|
                          Button | 3 | 
                                       Spa |-| Heat |-|  -Enabeled- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x02|0x00|0x6c|0x10|0x03|
                         Message | 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x03|0x00|0x6d|0x10|0x03|
                         Message | 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x01|0x37|0x32|0xc2|0xba|0x00|0x50|0x10|0x03|
                         Message | 72º
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x05|0x41|0x69|0x72|0x20|0x54|0x65|0x6d|0x70|0x00|0x41|0x10|0x03|
                         Message | Air Temp
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x00|0x36|0x35|0xc2|0xba|0x00|0x51|0x10|0x03|
                         Message | 65º
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x2d|0x41|0x71|0x75|0x61|0x4c|0x69|0x6e|0x6b|0x20|0x54|0x6f|0x75|0x63|0x68|0x00|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|0x28|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|0x28|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|


STATUS BUTTON


Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x06|0x19|0x10|0x03|

Debug:  To 0x33 of type iAq NewM | HEX: 0x10|0x02|0x33|0x23|0x5b|0xc3|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x2d|0x45|0x71|0x75|0x69|0x70|0x6d|0x65|0x6e|0x74|0x20|0x53|0x74|0x61|0x74|0x75|0x73|0x00|0xce|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x00|0x46|0x69|0x6c|0x74|0x65|0x72|0x20|0x50|0x75|0x6d|0x70|0x00|0x92|0x10|0x03|
                         Message | Filter Pump
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x01|0x50|0x6f|0x6f|0x6c|0x20|0x48|0x65|0x61|0x74|0x00|0xa7|0x10|0x03|
                         Message | Pool Heat
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x02|0x53|0x70|0x61|0x20|0x48|0x65|0x61|0x74|0x20|0x45|0x4e|0x41|0x00|0x26|0x10|0x03|
                         Message | Spa Heat ENA
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x03|0x53|0x6f|0x6c|0x61|0x72|0x20|0x48|0x65|0x61|0x74|0x20|0x45|0x4e|0x41|0x00|0x04|0x10|0x03|
                         Message | Solar Heat ENA
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x04|0x41|0x75|0x78|0x31|0x00|0xcd|0x10|0x03|
                         Message | Aux1
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x05|0x41|0x75|0x78|0x34|0x00|0xd1|0x10|0x03|
                         Message | Aux4
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x06|0x41|0x75|0x78|0x36|0x00|0xd4|0x10|0x03|
                         Message | Aux6
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x07|0x41|0x75|0x78|0x37|0x00|0xd6|0x10|0x03|
                         Message | Aux7
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x08|0x4a|0x61|0x6e|0x64|0x79|0x20|0x65|0x50|0x55|0x4d|0x50|0x20|0x20|0x20|0x31|0x00|0xc0|0x10|0x03|
                         Message | Jandy ePUMP   1
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x09|0x20|0x20|0x20|0x20|0x52|0x50|0x4d|0x3a|0x20|0x32|0x32|0x35|0x30|0x00|0x05|0x10|0x03|
                         Message |     RPM: 2250
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x0a|0x20|0x20|0x57|0x61|0x74|0x74|0x73|0x3a|0x20|0x30|0x00|0x51|0x10|0x03|
                         Message |   Watts: 0
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x0b|0x49|0x6e|0x74|0x65|0x6c|0x6c|0x69|0x66|0x6c|0x6f|0x20|0x56|0x46|0x20|0x32|0x00|0x95|0x10|0x03|
                         Message | Intelliflo VF 2
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x0c|0x20|0x20|0x20|0x20|0x52|0x50|0x4d|0x3a|0x20|0x32|0x32|0x35|0x30|0x00|0x08|0x10|0x03|
                         Message |     RPM: 2250
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x0d|0x20|0x20|0x57|0x61|0x74|0x74|0x73|0x3a|0x20|0x31|0x30|0x30|0x00|0xb5|0x10|0x03|
                         Message |   Watts: 100
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x0e|0x20|0x20|0x20|0x20|0x47|0x50|0x4d|0x3a|0x20|0x37|0x30|0x00|0x9d|0x10|0x03|
                         Message |     GPM: 70
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x0f|0x49|0x6e|0x74|0x65|0x6c|0x6c|0x69|0x66|0x6c|0x6f|0x20|0x56|0x53|0x20|0x33|0x00|0xa7|0x10|0x03|
                         Message | Intelliflo VS 3
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x10|0x28|0x4f|0x66|0x66|0x6c|0x69|0x6e|0x65|0x29|0x00|0x8e|0x10|0x03|
                         Message | (Offline)
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x11|0x20|0x00|0x9b|0x10|0x03|
                         Message |  
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Butt | HEX: 0x10|0x02|0x33|0x24|0x01|0x00|0x00|0x00|0x00|0x00|0x6a|0x10|0x03|
                          Button | 1 |  |-|  |-|  |-|  -off- 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|0x28|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x05|0x18|0x10|0x03|

Debug:  To 0x33 of type iAq NewM | HEX: 0x10|0x02|0x33|0x23|0x01|0x69|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x02|0x00|0x6c|0x10|0x03|
                         Message | 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x03|0x00|0x6d|0x10|0x03|
                         Message | 
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x01|0x37|0x32|0xc2|0xba|0x00|0x50|0x10|0x03|
                         Message | 72º
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x05|0x41|0x69|0x72|0x20|0x54|0x65|0x6d|0x70|0x00|0x41|0x10|0x03|
                         Message | Air Temp
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x00|0x36|0x35|0xc2|0xba|0x00|0x51|0x10|0x03|
                         Message | 65º
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x2d|0x41|0x71|0x75|0x61|0x4c|0x69|0x6e|0x6b|0x20|0x54|0x6f|0x75|0x63|0x68|0x00|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|0x28|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq EndM | HEX: 0x10|0x02|0x33|0x28|0x06|0x15|0x14|0x0e|0x01|0xab|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Debug:  To 0x33 of type iAq Poll | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Debug:  To 0x00 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|


*/








// Page 2 starts 0x11
/* 
Startup.


Jandy     To 0x33 of type    Probe | HEX: 0x10|0x02|0x33|0x00|0x45|0x10|0x03|

Jandy     To 0x33 of type    Probe | HEX: 0x10|0x02|0x33|0x00|0x45|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x29|0x00|0x6e|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x23|0x01|0x69|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x00|0x00|0x00|0x08|0x46|0x69|0x6c|0x74|0x65|0x72|0x00|0x50|0x75|0x6d|0x70|0x00|0x79|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x01|0x00|0x00|0x08|0x53|0x70|0x61|0x00|0x20|0x00|0xb6|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x02|0x00|0x00|0x05|0x50|0x6f|0x6f|0x6c|0x00|0x48|0x65|0x61|0x74|0x00|0x8c|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x03|0x00|0x00|0x05|0x53|0x70|0x61|0x00|0x48|0x65|0x61|0x74|0x00|0x17|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x04|0x00|0x00|0x01|0x41|0x75|0x78|0x31|0x00|0x20|0x00|0xed|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x05|0x00|0x00|0x01|0x41|0x75|0x78|0x32|0x00|0x20|0x00|0xef|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x06|0x00|0x00|0x07|0x50|0x6f|0x6f|0x6c|0x00|0x4c|0x69|0x67|0x68|0x74|0x00|0x08|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x02|0x00|0x6c|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x03|0x00|0x6d|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x01|0x37|0x32|0xc2|0xba|0x00|0x50|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x05|0x41|0x69|0x72|0x20|0x54|0x65|0x6d|0x70|0x00|0x41|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x04|0x50|0x6f|0x6f|0x6c|0x20|0x54|0x65|0x6d|0x70|0x00|0xbe|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Mess | HEX: 0x10|0x02|0x33|0x25|0x00|0x36|0x35|0xc2|0xba|0x00|0x51|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x08|0x46|0x69|0x6c|0x74|0x65|0x72|0x00|0x50|0x75|0x6d|0x70|0x00|0x7a|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x04|0x01|0x00|0x01|0x41|0x75|0x78|0x31|0x00|0x20|0x00|0xee|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x2d|0x41|0x71|0x75|0x61|0x4c|0x69|0x6e|0x6b|0x20|0x54|0x6f|0x75|0x63|0x68|0x00|0xab|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x28|0x06|0x14|0x14|0x0f|0x1a|0xc4|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x28|0x06|0x14|0x14|0x0f|0x1a|0xc4|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|


*/

/*

Standard Message
Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x00|0x00|0x00|0x01|0x46|0x69|0x6c|0x74|0x65|0x72|0x20|0x50|0x75|0x6d|0x70|0x00|0x4f|0x46|0x46|0x00|0x6d|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|


*/


/*
Select Menu

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x28|0x06|0x14|0x14|0x0f|0x1d|0xc7|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|
*/

/*
Other Devices

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x18|0x2b|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x23|0x36|0x9e|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x01|0x46|0x69|0x6c|0x74|0x65|0x72|0x20|0x50|0x75|0x6d|0x70|0x00|0x4f|0x4e|0x20|0x00|0x50|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x01|0x00|0x00|0x01|0x53|0x70|0x61|0x00|0x4f|0x46|0x46|0x00|0x6a|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x02|0x00|0x00|0x01|0x56|0x53|0x50|0x31|0x20|0x53|0x70|0x64|0x00|0x41|0x44|0x4a|0x00|0xac|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x03|0x00|0x00|0x01|0x56|0x53|0x50|0x32|0x20|0x53|0x70|0x64|0x00|0x41|0x44|0x4a|0x00|0xae|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x04|0x00|0x00|0x01|0x56|0x53|0x50|0x33|0x20|0x53|0x70|0x64|0x00|0x41|0x44|0x4a|0x00|0xb0|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x05|0x00|0x00|0x01|0x50|0x6f|0x6f|0x6c|0x20|0x48|0x65|0x61|0x74|0x00|0x4f|0x46|0x46|0x00|0x86|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x06|0x00|0x00|0x01|0x53|0x70|0x61|0x20|0x48|0x65|0x61|0x74|0x00|0x4f|0x46|0x46|0x00|0x11|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x07|0x00|0x00|0x01|0x53|0x6f|0x6c|0x61|0x72|0x20|0x48|0x65|0x61|0x74|0x00|0x4f|0x46|0x46|0x00|0xef|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x08|0x01|0x00|0x01|0x41|0x75|0x78|0x31|0x00|0x4f|0x4e|0x20|0x00|0x8f|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x09|0x00|0x00|0x01|0x41|0x75|0x78|0x32|0x00|0x4f|0x46|0x46|0x00|0xae|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x0a|0x00|0x00|0x01|0x50|0x6f|0x6f|0x6c|0x20|0x4c|0x69|0x67|0x68|0x74|0x00|0x4f|0x46|0x46|0x00|0x01|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x0b|0x00|0x00|0x01|0x41|0x75|0x78|0x34|0x00|0x4f|0x46|0x46|0x00|0xb2|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x0c|0x00|0x00|0x01|0x41|0x75|0x78|0x35|0x00|0x4f|0x46|0x46|0x00|0xb4|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x0d|0x00|0x00|0x01|0x41|0x75|0x78|0x36|0x00|0x4f|0x46|0x46|0x00|0xb6|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x0e|0x00|0x00|0x01|0x41|0x75|0x78|0x37|0x00|0x4f|0x46|0x46|0x00|0xb8|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x0f|0xff|0x00|0x00|0x00|0x00|0x77|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x10|0xff|0x00|0x03|0x00|0x00|0x7b|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x01|0x46|0x69|0x6c|0x74|0x65|0x72|0x20|0x50|0x75|0x6d|0x70|0x00|0x4f|0x4e|0x20|0x00|0x50|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x08|0x01|0x00|0x01|0x41|0x75|0x78|0x31|0x00|0x4f|0x4e|0x20|0x00|0x8f|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x28|0x06|0x14|0x14|0x0f|0x1f|0xc9|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

*/


/*
Click change VSP1 button

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x13|0x26|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x23|0x1e|0x86|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x00|0x50|0x6f|0x6f|0x6c|0x00|0x31|0x37|0x35|0x30|0x00|0xd1|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x01|0x00|0x00|0x00|0x53|0x70|0x61|0x00|0x32|0x37|0x35|0x30|0x00|0x5c|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x02|0x00|0x00|0x00|0x53|0x70|0x65|0x65|0x64|0x33|0x00|0x32|0x37|0x35|0x30|0x00|0x5d|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x03|0x00|0x00|0x00|0x53|0x70|0x65|0x65|0x64|0x34|0x00|0x32|0x37|0x35|0x30|0x00|0x5f|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x04|0x00|0x00|0x00|0x50|0x6f|0x6f|0x6c|0x20|0x48|0x65|0x61|0x74|0x00|0x32|0x32|0x35|0x30|0x00|0x72|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x05|0x00|0x00|0x00|0x53|0x70|0x61|0x20|0x48|0x65|0x61|0x74|0x00|0x32|0x32|0x35|0x30|0x00|0xfd|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x06|0x00|0x00|0x00|0x53|0x6f|0x6c|0x61|0x72|0x20|0x48|0x65|0x61|0x74|0x00|0x32|0x37|0x35|0x30|0x00|0xe0|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x07|0x00|0x00|0x00|0x49|0x6e|0x20|0x46|0x6c|0x6f|0x6f|0x72|0x00|0x32|0x37|0x35|0x30|0x00|0x17|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x28|0x06|0x14|0x14|0x0f|0x21|0xcb|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|



Jandy   From 0x33 of type iAq Menu | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xf7|0x10|0x03|
Jandy   From 0x33 of type iAq Menu | HEX: 0x10|0x02|0x00|0x24|0x31|0x32|0x30|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xf8|0x10|0x03|

Change speed to 1000

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x80|0x93|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x31|0x00|0x76|0x10|0x03|
Jandy   From 0x33 of type iAq Menu | HEX: 0x10|0x02|0x00|0x24|0x31|0x31|0x30|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xf7|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x00|0x50|0x6f|0x6f|0x6c|0x00|0x31|0x30|0x30|0x30|0x00|0xc5|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x23|0x36|0x9e|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x02|0x00|0x00|0x01|0x56|0x53|0x50|0x31|0x20|0x53|0x70|0x64|0x00|0x41|0x44|0x4a|0x00|0xac|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x0f|0xff|0x00|0x00|0x00|0x00|0x77|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x10|0xff|0x00|0x03|0x00|0x00|0x7b|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x28|0x06|0x14|0x14|0x0f|0x22|0xcc|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|



Change speed to 2000


Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x80|0x93|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x31|0x00|0x76|0x10|0x03|
Jandy   From 0x33 of type iAq Menu | HEX: 0x10|0x02|0x00|0x24|0x31|0x32|0x30|0x30|0x30|0x00|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xcd|0xf8|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x00|0x01|0x00|0x00|0x50|0x6f|0x6f|0x6c|0x00|0x32|0x30|0x30|0x30|0x00|0xc6|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x23|0x36|0x9e|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x02|0x00|0x00|0x01|0x56|0x53|0x50|0x31|0x20|0x53|0x70|0x64|0x00|0x41|0x44|0x4a|0x00|0xac|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x0f|0xff|0x00|0x00|0x00|0x00|0x77|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type iAq Menu | HEX: 0x10|0x02|0x33|0x24|0x10|0xff|0x00|0x03|0x00|0x00|0x7b|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x28|0x06|0x14|0x14|0x0f|0x27|0xd1|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type Unknown  | HEX: 0x10|0x02|0x33|0x30|0x75|0x10|0x03|
Jandy   From 0x33 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|
*/


/*

Startup different ID no prefious instance


Jandy     To 0x43 of type    Probe | HEX: 0x10|0x02|0x43|0x00|0x55|0x10|0x03|

Jandy     To 0x81 of type    Probe | HEX: 0x10|0x02|0x81|0x00|0x93|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x10 of type    Probe | HEX: 0x10|0x02|0x10|0x00|0x22|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x18 of type    Probe | HEX: 0x10|0x02|0x18|0x00|0x2a|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x20 of type    Probe | HEX: 0x10|0x02|0x20|0x00|0x32|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x21 of type    Probe | HEX: 0x10|0x02|0x21|0x00|0x33|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x22 of type    Probe | HEX: 0x10|0x02|0x22|0x00|0x34|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x23 of type    Probe | HEX: 0x10|0x02|0x23|0x00|0x35|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x28 of type    Probe | HEX: 0x10|0x02|0x28|0x00|0x3a|0x10|0x03|

Jandy     To 0x81 of type    Probe | HEX: 0x10|0x02|0x81|0x00|0x93|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x29 of type    Probe | HEX: 0x10|0x02|0x29|0x00|0x3b|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x2a of type    Probe | HEX: 0x10|0x02|0x2a|0x00|0x3c|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x2b of type    Probe | HEX: 0x10|0x02|0x2b|0x00|0x3d|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x30 of type    Probe | HEX: 0x10|0x02|0x30|0x00|0x42|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type    Probe | HEX: 0x10|0x02|0x31|0x00|0x43|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x29|0x00|0x6c|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0xa1 of type    Probe | HEX: 0x10|0x02|0xa1|0x00|0xb3|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x23|0x01|0x67|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x00|0x01|0x00|0x08|0x46|0x69|0x6c|0x74|0x65|0x72|0x00|0x50|0x75|0x6d|0x70|0x00|0x78|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x01|0x01|0x00|0x08|0x53|0x70|0x61|0x00|0x20|0x00|0xb5|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x02|0x01|0x00|0x05|0x50|0x6f|0x6f|0x6c|0x00|0x48|0x65|0x61|0x74|0x00|0x8b|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x03|0x01|0x00|0x05|0x53|0x70|0x61|0x00|0x48|0x65|0x61|0x74|0x00|0x16|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x04|0x01|0x00|0x01|0x41|0x75|0x78|0x31|0x00|0x20|0x00|0xec|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x05|0x01|0x00|0x01|0x41|0x75|0x78|0x32|0x00|0x20|0x00|0xee|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x06|0x01|0x00|0x07|0x50|0x6f|0x6f|0x6c|0x00|0x4c|0x69|0x67|0x68|0x74|0x00|0x07|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Mess | HEX: 0x10|0x02|0x31|0x25|0x02|0x00|0x6a|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Mess | HEX: 0x10|0x02|0x31|0x25|0x03|0x00|0x6b|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Mess | HEX: 0x10|0x02|0x31|0x25|0x01|0x37|0x32|0xc2|0xba|0x00|0x4e|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Mess | HEX: 0x10|0x02|0x31|0x25|0x05|0x41|0x69|0x72|0x20|0x54|0x65|0x6d|0x70|0x00|0x3f|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Mess | HEX: 0x10|0x02|0x31|0x25|0x04|0x50|0x6f|0x6f|0x6c|0x20|0x54|0x65|0x6d|0x70|0x00|0xbc|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Mess | HEX: 0x10|0x02|0x31|0x25|0x00|0x36|0x35|0xc2|0xba|0x00|0x4f|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x01|0x00|0x00|0x08|0x53|0x70|0x61|0x00|0x20|0x00|0xb4|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x02|0x00|0x00|0x05|0x50|0x6f|0x6f|0x6c|0x00|0x48|0x65|0x61|0x74|0x00|0x8a|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x03|0x00|0x00|0x05|0x53|0x70|0x61|0x00|0x48|0x65|0x61|0x74|0x00|0x15|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x05|0x00|0x00|0x01|0x41|0x75|0x78|0x32|0x00|0x20|0x00|0xed|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type iAq Menu | HEX: 0x10|0x02|0x31|0x24|0x06|0x00|0x00|0x07|0x50|0x6f|0x6f|0x6c|0x00|0x4c|0x69|0x67|0x68|0x74|0x00|0x06|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x2d|0x41|0x71|0x75|0x61|0x4c|0x69|0x6e|0x6b|0x20|0x54|0x6f|0x75|0x63|0x68|0x00|0xa9|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x28|0x06|0x14|0x14|0x13|0x20|0xcc|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x28|0x06|0x14|0x14|0x13|0x20|0xcc|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x32 of type    Probe | HEX: 0x10|0x02|0x32|0x00|0x44|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x33 of type    Probe | HEX: 0x10|0x02|0x33|0x00|0x45|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x81 of type    Probe | HEX: 0x10|0x02|0x81|0x00|0x93|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x38 of type    Probe | HEX: 0x10|0x02|0x38|0x00|0x4a|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x39 of type    Probe | HEX: 0x10|0x02|0x39|0x00|0x4b|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x3a of type    Probe | HEX: 0x10|0x02|0x3a|0x00|0x4c|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x3b of type    Probe | HEX: 0x10|0x02|0x3b|0x00|0x4d|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x48 of type    Probe | HEX: 0x10|0x02|0x48|0x00|0x5a|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x51 of type    Probe | HEX: 0x10|0x02|0x51|0x00|0x63|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x52 of type    Probe | HEX: 0x10|0x02|0x52|0x00|0x64|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x81 of type    Probe | HEX: 0x10|0x02|0x81|0x00|0x93|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x53 of type    Probe | HEX: 0x10|0x02|0x53|0x00|0x65|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x58 of type    Probe | HEX: 0x10|0x02|0x58|0x00|0x6a|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x68 of type    Probe | HEX: 0x10|0x02|0x68|0x00|0x7a|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x69 of type    Probe | HEX: 0x10|0x02|0x69|0x00|0x7b|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x28|0x06|0x14|0x14|0x13|0x21|0xcd|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x6a of type    Probe | HEX: 0x10|0x02|0x6a|0x00|0x7c|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

Jandy     To 0x60 of type    Probe | HEX: 0x10|0x02|0x60|0x00|0x72|0x10|0x03|

Jandy     To 0x31 of type Unknown  | HEX: 0x10|0x02|0x31|0x30|0x73|0x10|0x03|
Jandy   From 0x31 of type      Ack | HEX: 0x10|0x02|0x00|0x01|0x00|0x00|0x13|0x10|0x03|

*/